<?php

declare(strict_types=1);

namespace Kylin\Medical\Enums;

/**
 * 消息类型
 */
enum MessageType: string
{
    case TEXT = 'text';         // 文字消息
    case IMAGE = 'image';       // 图片消息
    case SYSTEM = 'system';     // 系统消息

    public function label(): string
    {
        return match ($this) {
            self::TEXT => '文字消息',
            self::IMAGE => '图片消息',
            self::SYSTEM => '系统消息',
        };
    }
}
